<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSpy v2013 rel. 2 (x64) (http://www.altova.com) by Standa (Logica Czech Republic s.r.o.) -->
<!-- edited with XMLSpy v2007 (http://www.altova.com) by Tomas Silar (LogicaCMG s.r.o.) -->
<!-- edited with XMLSPY v2004 rel. 4 U (http://www.xmlspy.com) by Jakub Jicha (LogicaCMG s.r.o.) -->
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns="http://www.ote-cr.cz/schema/responseedc" xmlns:ote="http://www.ote-cr.cz/schema/globals" xmlns:ds="http://www.w3.org/2000/09/xmldsig#" targetNamespace="http://www.ote-cr.cz/schema/responseedc" elementFormDefault="qualified" attributeFormDefault="unqualified">
	<xsd:import namespace="http://www.ote-cr.cz/schema/globals" schemaLocation="./ote_globals.xsd"/>
	<xsd:element name="RESPONSEEDC">
		<xsd:annotation>
			<xsd:documentation xml:lang="CS">Rootovský element obsahující základní údaje o zprávě</xsd:documentation>
			<xsd:documentation xml:lang="EN">Root element containing basic message data</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:sequence>
				<xsd:element name="SenderIdentification" type="ote:SenderIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace odesílatele zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message sender identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="ReceiverIdentification" type="ote:ReceiverIdentificationType">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Identifikace příjemce zprávy</xsd:documentation>
						<xsd:documentation xml:lang="EN">Message receiver identification</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reference" type="ote:ReferenceType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Reference na předchozí zprávu (na kterou je odpovídáno)</xsd:documentation>
						<xsd:documentation xml:lang="EN">Reference to the previous message (the one that is answered)</xsd:documentation>
					</xsd:annotation>
				</xsd:element>
				<xsd:element name="Reason" maxOccurs="unbounded">
					<xsd:annotation>
						<xsd:documentation xml:lang="CS">Odpověď (v textu elementu je textový popis, v atributech číselné kódy)</xsd:documentation>
						<xsd:documentation xml:lang="EN">Response (text description in text element, numerical codes in attributes)</xsd:documentation>
					</xsd:annotation>
					<xsd:complexType>
						<xsd:simpleContent>
							<xsd:extension base="xsd:string">
								<xsd:attribute name="code" use="required">
									<xsd:annotation>
										<xsd:documentation xml:lang="CS">Číslo (kód) chyby</xsd:documentation>
										<xsd:documentation xml:lang="EN">Error number (code)</xsd:documentation>
									</xsd:annotation>
									<xsd:simpleType>
										<xsd:restriction base="xsd:string">
											<xsd:minLength value="1"/>
											<xsd:maxLength value="8"/>
										</xsd:restriction>
									</xsd:simpleType>
								</xsd:attribute>
								<xsd:attribute name="type" use="required">
									<xsd:annotation>
										<xsd:documentation xml:lang="CS">Druh odpovědi (odmítnutí, přijetí...)</xsd:documentation>
										<xsd:documentation xml:lang="EN">Response type (rejection, acceptation...)</xsd:documentation>
									</xsd:annotation>
									<xsd:simpleType>
										<xsd:restriction base="xsd:string"/>
									</xsd:simpleType>
								</xsd:attribute>
								<xsd:attribute name="block-id" type="xsd:integer">
									<xsd:annotation>
										<xsd:documentation xml:lang="CS">Id chybného logického bloku zprávy</xsd:documentation>
										<xsd:documentation xml:lang="EN">Id of fault logical block</xsd:documentation>
									</xsd:annotation>
								</xsd:attribute>
								<xsd:attribute name="OPM-id" type="ote:pod_id">
									<xsd:annotation>
										<xsd:documentation xml:lang="CS">ID OPM, kterého se zpráva týká</xsd:documentation>
										<xsd:documentation xml:lang="EN">PDT id for which the message is relevant</xsd:documentation>
									</xsd:annotation>
								</xsd:attribute>
								<xsd:attribute name="result-code" use="optional">
									<xsd:annotation>
										<xsd:documentation xml:lang="CS">Číslo chybové zprávy a zdrojový systém</xsd:documentation>
										<xsd:documentation xml:lang="EN">Error number (code)</xsd:documentation>
									</xsd:annotation>
									<xsd:simpleType>
										<xsd:restriction base="xsd:string">
											<xsd:maxLength value="6"/>
										</xsd:restriction>
									</xsd:simpleType>
								</xsd:attribute>
							</xsd:extension>
						</xsd:simpleContent>
					</xsd:complexType>
				</xsd:element>
			</xsd:sequence>
			<xsd:attribute name="id" type="ote:msg-id" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Identifikátor zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message identification</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="message-code" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Upřesnění obsahu (významu) zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Message content (meaning) specification</xsd:documentation>
				</xsd:annotation>
				<xsd:simpleType>
					<xsd:restriction base="xsd:string">
						<xsd:enumeration value="E02">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">hlášení o chybě</xsd:documentation>
								<xsd:documentation xml:lang="EN">error message</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
						<xsd:enumeration value="E03">
							<xsd:annotation>
								<xsd:documentation xml:lang="CS">potvrzení přijetí</xsd:documentation>
								<xsd:documentation xml:lang="EN">confirmation</xsd:documentation>
							</xsd:annotation>
						</xsd:enumeration>
					</xsd:restriction>
				</xsd:simpleType>
			</xsd:attribute>
			<xsd:attribute name="date-time" type="xsd:dateTime" use="required">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Datum a čas zprávy</xsd:documentation>
					<xsd:documentation xml:lang="EN">Date and time of message</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-version" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
			<xsd:attribute name="dtd-release" type="xsd:string" use="required" fixed="1">
				<xsd:annotation>
					<xsd:documentation xml:lang="CS">Rezervováno pro pozdější verze. Nyní konstanta '1'</xsd:documentation>
					<xsd:documentation xml:lang="EN">Reserved for incoming versions. So far a constant '1'</xsd:documentation>
				</xsd:annotation>
			</xsd:attribute>
		</xsd:complexType>
	</xsd:element>
</xsd:schema>
